%global momorel 2

Summary: Ruby RSS Parser
Name: ruby-rss-parser
Version: 0.1.8
Release: %{momorel}m%{?dist}
Group: Development/Languages
License: Ruby
URL: http://raa.ruby-lang.org/project/rss/
Source0: http://www.cozmixng.org/~kou/download/rss-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby >= 1.8.2
BuildRequires: ruby-xmlparser
BuildArch: noarch

%description
This library can parse RSS (RDF Site Summary) 1.0, RSS 0.9x/2.0
excluding 0.90 and 1.0 with validation (or non validation).

%prep
%setup -q -n rss-%{version}

%build
ruby setup.rb config \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --libdir=%{_libdir} \
    --siterubyver=%{ruby_sitelibdir}
ruby setup.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby setup.rb config \
    --prefix=%{buildroot}%{_prefix} \
    --bindir=%{buildroot}%{_bindir} \
    --libdir=%{buildroot}%{_libdir} \
    --siterubyver=%{buildroot}%{ruby_sitelibdir}
ruby setup.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-,root,root)
%{ruby_sitelibdir}/rss*
%doc README.* Reference.* Tutorial.*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.8-2m)
- rebuild against gcc43

* Sun Aug 12 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.8-1m)
- initial packaging
